Issue 50590

Summary: allow different sets of JRE (Java Runtime Environment) parameters
Product: General Reporter: Frank Schönheit <frank.schoenheit>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues
Version: current   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---

Description Frank Schönheit 2005-06-10 17:47:15 UTC
from time to time, when writing a Java component for OOo, I want to debug this
component inside Netbeans. Doing so requires settings special JRE parameters
(which I usually have to look up) in Tools|Options|Java.

Sometimes, however, I just want to debug the OOo part. In those cases,
unfortunately, I have to revoke the above-mentioned parameters, or attach the
Netbeans Debugger though I don't want to use it.

It would be useful to have different "sets" of parameters for the JRE, which I
can en- or disable easily, without losing the settings completely.

For instance, I want to create a set named "allow remote debugging", which
contains "-Xdebug -Xrunjdwp:transport=dt_socket,server=y,address=8000", and a
second set not containing any parameters. Switching between those two should be
one mouse click only ...
Comment 1 ace_dent 2008-05-16 00:53:53 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 2 milek_pl 2008-07-16 18:26:26 UTC
A workaround: open the java settings file (java*.xml) from your openoffice.org
configuration directory (in your user home dir) in the text editor and prepare
two versions. You can easily setup a script that changes the params before
launching OOo. IMHO this will be faster than any mouse-clicking etc.